NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | List of all members
NeuralEngine::MachineLearning::ILineSearch< Scalar > Class Template Referenceabstract
Inheritance diagram for NeuralEngine::MachineLearning::ILineSearch< Scalar >:
[legend]

## Public Member Functions
virtual void | Linesearch (NonlinearObjectiveFunction< Scalar > &objFunc, Scalar &fx, af::array &x, af::array &grad, Scalar &step, const af::array &drt, const af::array &xp)=0
| Linesearches. More...

## Detailed Description

template<typename Scalar>
class NeuralEngine::MachineLearning::ILineSearch< Scalar >

Definition at line 22 of file FgILineSearch.h.

## Constructor & Destructor Documentation

## ◆ ~ILineSearch()

template<typename Scalar >

NeuralEngine::MachineLearning::ILineSearch< Scalar >::~ILineSearch | ( |  | ) |
| inline

Definition at line 40 of file FgILineSearch.h.

## Member Function Documentation

## ◆ Linesearch()

template<typename Scalar >

virtual void NeuralEngine::MachineLearning::ILineSearch< Scalar >::Linesearch | ( | NonlinearObjectiveFunction< Scalar > & | objFunc,
|  | Scalar & | fx,
|  | af::array & | x,
|  | af::array & | grad,
|  | Scalar & | step,
|  | const af::array & | drt,
|  | const af::array & | xp
| ) |  |
| pure virtual

Linesearches.

Hmetal T, 10/06/2019.

Parameters

  x | The af::array to process.
  searchDirection | The search direction.
  prob | [in,out] The prob.
  alpha0 | The alpha 0.

Returns
  A Scalar.

Implemented in NeuralEngine::MachineLearning::ArmijoBracketingLineSearch< Scalar >, NeuralEngine::MachineLearning::ArmijoLineSearch< Scalar >, NeuralEngine::MachineLearning::MoreThuenteLineSearch< Scalar >, NeuralEngine::MachineLearning::StrongWolfeBacktrackingLineSearch< Scalar >, NeuralEngine::MachineLearning::StrongWolfeBracketingLineSearch< Scalar >, NeuralEngine::MachineLearning::WolfeBacktrackingLineSearch< Scalar >, and NeuralEngine::MachineLearning::WolfeBracketingLineSearch< Scalar >.

The documentation for this class was generated from the following file:

- FgILineSearch.h